"use strict";

const { validateValue } = require("@validatem/core");
const isMXC = require(".");

console.log(validateValue("mxc://pixie.town/XgkYLpKBNZqqpZeoLVTakvkm", [ isMXC ])); // mxc://pixie.town/XgkYLpKBNZqqpZeoLVTakvkm

console.log(validateValue("https://example.com/", [ isMXC ])); /*
	AggregrateValidationError: One or more validation errors occurred at 'Object.<anonymous>' in is-mxc/example.js, at line 8 (<path>):
	 - Must be a valid MXC URL
*/
